package net.northking.cctp.executePlan.feign.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

public class AtuCaseSetCheckDto {

    @ApiModelProperty("是否存在PC/接口用例")
    private boolean hasPcCase;

    @ApiModelProperty("是否存在移动用例")
    private boolean hasMobCase;

    @ApiModelProperty("是否存在安卓用例")
    private boolean hasAndroidCase;

    @ApiModelProperty("是否存在IOS用例")
    private boolean hasIOSCase;

    private List<Map<String,String>> appList;

    public boolean isHasAndroidCase() {
        return hasAndroidCase;
    }

    public void setHasAndroidCase(boolean hasAndroidCase) {
        this.hasAndroidCase = hasAndroidCase;
    }

    public boolean isHasIOSCase() {
        return hasIOSCase;
    }

    public void setHasIOSCase(boolean hasIOSCase) {
        this.hasIOSCase = hasIOSCase;
    }

    public boolean isHasPcCase() {
        return hasPcCase;
    }

    public void setHasPcCase(boolean hasPcCase) {
        this.hasPcCase = hasPcCase;
    }

    public boolean isHasMobCase() {
        return hasMobCase;
    }

    public void setHasMobCase(boolean hasMobCase) {
        this.hasMobCase = hasMobCase;
    }

    public List<Map<String, String>> getAppList() {
        return appList;
    }

    public void setAppList(List<Map<String, String>> appList) {
        this.appList = appList;
    }
}
